ClientMembershipListener (Apache Geode 1.15.4)

org.apache.geode.management.membership

## Interface ClientMembershipListener

- All Known Implementing Classes:
    ClientMembershipListenerAdapter

      public interface ClientMembershipListener

  A listener whose callback methods are invoked when this process detects connection changes to CacheServers or clients.
  Since:
    GemFire 8.0
  See Also:
    `ClientMembership.registerClientMembershipListener(org.apache.geode.management.membership.ClientMembershipListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `memberCrashed(ClientMembershipEvent event)` Invoked when a client has unexpectedly disconnected from this process or when this process has unexpectedly disconnected from a CacheServer.
    `void` | `memberJoined(ClientMembershipEvent event)` Invoked when a client has connected to this process or when this process has connected to a CacheServer.
    `void` | `memberLeft(ClientMembershipEvent event)` Invoked when a client has gracefully disconnected from this process or when this process has gracefully disconnected from a CacheServer.

- - ### Method Detail

    - #### memberJoined

          void memberJoined(ClientMembershipEvent event)

      Invoked when a client has connected to this process or when this process has connected to a CacheServer.
      Parameters:
        `event` - the triggering event

    - #### memberLeft

          void memberLeft(ClientMembershipEvent event)

      Invoked when a client has gracefully disconnected from this process or when this process has gracefully disconnected from a CacheServer.
      Parameters:
        `event` - the triggering event

    - #### memberCrashed

          void memberCrashed(ClientMembershipEvent event)

      Invoked when a client has unexpectedly disconnected from this process or when this process has unexpectedly disconnected from a CacheServer.
      Parameters:
        `event` - the triggering event